Get Product Tree
GET /obp/v7.0.0/banks/BANK_ID/product-tree/PRODUCT_CODE
OBPv3.1.0-getProductTree No role required Product
Returns information about a particular financial product specified by BANK_ID and PRODUCT_CODE and it's parent product(s) recursively as specified by parent_product_code.
Each product includes the following information.
- Name
- Code
- Parent Product Code
- Category
- Family
- Super Family
- More info URL
- Description
- Terms and Conditions
- License: The licence under which this product data is released. Licence can be an Open Data licence such as Open Data Commons Public Domain Dedication and License (PDDL) or Copyright etc.
User Authentication is Optional. The User need not be logged in.
URL Parameters:
BANK_ID: gh.29.uk
PRODUCT_CODE: 1234BW
JSON response body fields (13)
- bank_id
- gh.29.uk
- category
- code
- 125
- description
- Description of the object. Maximum length is 2000. It can be any characters here.
- details
- family
- id
- d8839721-ad8f-45dd-9f78-2080414b93f9
- license
- meta
- more_info_url
- www.example.com/abc
- name
- ACCOUNT_MANAGEMENT_FEE
- super_family
- parent_product
Example success response
{
"bank_id": "testBank2",
"code": "PRODUCT_CODE",
"name": "product name",
"category": "category",
"family": "family",
"super_family": "super family",
"more_info_url": "www.example.com/prod1/more-info.html",
"details": "Details",
"description": "Description",
"meta": {
"license": {
"id": "ODbL-1.0",
"name": "Open Database License"
}
},
"parent_product": {
"bank_id": "testBank2",
"code": "PARENT_CODE",
"name": "product name",
"category": "category",
"family": "family",
"super_family": "super family",
"more_info_url": "www.example.com/prod1/more-info.html",
"details": "Details",
"description": "Description",
"meta": {
"license": {
"id": "ODbL-1.0",
"name": "Open Database License"
}
},
"parent_product": {
"bank_id": "testBank2",
"code": "GRANDPARENT_CODE",
"name": "product name",
"category": "category",
"family": "family",
"super_family": "super family",
"more_info_url": "www.example.com/prod1/more-info.html",
"details": "Details",
"description": "Description",
"meta": {
"license": {
"id": "ODbL-1.0",
"name": "Open Database License"
}
}
}
}
}Possible errors (2)
- OBP-30011: Product not found. Please specify a valid value for PRODUCT_CODE.
- OBP-50000: Unknown Error.